Imports System
Imports System.Drawing
Imports System.Collections
Imports System.Windows.Forms
Imports System.Data
 
Namespace BarcodeControl
	Public Class MainForm
	 Inherits System.Windows.Forms.Form
		Private barcodeView As O2S.Barcode4NET.WinControls.BarcodeView
		Private label1 As System.Windows.Forms.Label
		Private label2 As System.Windows.Forms.Label
        Private WithEvents txtData As System.Windows.Forms.TextBox
		Private mainMenu1 As System.Windows.Forms.MainMenu
 
		Public  Sub New()
			'
			' Required for Windows Form Designer support
			'
			InitializeComponent()
 
			'
			' TODO: Add any constructor code after InitializeComponent call
			'
		End Sub
        Protected Overloads Sub Dispose(ByVal disposing As Boolean)
            MyBase.Dispose(disposing)
        End Sub
        Private Sub InitializeComponent()
            Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(Me.GetType())
            Me.mainMenu1 = New System.Windows.Forms.MainMenu
            Me.barcodeView = New O2S.Barcode4NET.WinControls.BarcodeView
            Me.label1 = New System.Windows.Forms.Label
            Me.label2 = New System.Windows.Forms.Label
            Me.txtData = New System.Windows.Forms.TextBox
            ' 
            ' barcodeView
            ' 
            Me.barcodeView.BackColor = System.Drawing.Color.Wheat
            Me.barcodeView.BarColor = System.Drawing.Color.Maroon
            Me.barcodeView.BorderColor = System.Drawing.Color.Firebrick
            Me.barcodeView.Code39WideToNarrowRatio = 3.0F
            Me.barcodeView.Data = "012345"
            Me.barcodeView.DimensionUnit = O2S.Barcode4NET.XYDimensionUnit.Pixel
            Me.barcodeView.DisplayCheckSum = False
            Me.barcodeView.EANSupplementYDimension = 200.0F
            Me.barcodeView.Font = New System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold)
            Me.barcodeView.Location = New System.Drawing.Point(0, 56)
            Me.barcodeView.Size = New System.Drawing.Size(240, 72)
            Me.barcodeView.Symbology = O2S.Barcode4NET.BarcodeSymbology.Code39Extended
            Me.barcodeView.Text = "barcodeView1"
            Me.barcodeView.TextColor = System.Drawing.Color.DarkRed
            Me.barcodeView.XDimension = 1.0F
            Me.barcodeView.YDimension = 50.0F
            ' 
            ' label1
            ' 
            Me.label1.Location = New System.Drawing.Point(4, 8)
            Me.label1.Size = New System.Drawing.Size(36, 20)
            Me.label1.Text = "Data:"
            ' 
            ' label2
            ' 
            Me.label2.Font = New System.Drawing.Font("Tahoma", 9.0F, System.Drawing.FontStyle.Regular)
            Me.label2.Location = New System.Drawing.Point(4, 36)
            Me.label2.Size = New System.Drawing.Size(56, 20)
            Me.label2.Text = "Barcode:"
            ' 
            ' txtData
            ' 
            Me.txtData.Location = New System.Drawing.Point(40, 4)
            Me.txtData.Size = New System.Drawing.Size(188, 22)
            Me.txtData.Text = ""
            ' 
            ' MainForm
            ' 
            Me.Controls.Add(Me.txtData)
            Me.Controls.Add(Me.label2)
            Me.Controls.Add(Me.label1)
            Me.Controls.Add(Me.barcodeView)
            Me.Icon = (CType((resources.GetObject("$this.Icon")), System.Drawing.Icon))
            Me.Menu = Me.mainMenu1
            Me.Text = "Barcode4NET - BarcodeView control"

        End Sub

        Shared Sub Main()
            Application.Run(New MainForm)
        End Sub

        Private Sub txtData_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtData.TextChanged
            Try
                barcodeView.Data = txtData.Text
            Finally
            End Try
        End Sub
    End Class
End Namespace
